package sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper;
// Generated Apr 28, 2017 12:20:54 PM by Hibernate Tools 4.3.1


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.SEQUENCE;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * ClassEmailSentStatus generated by hbm2java
 */
@Entity
@Table(name="class_email_sent_status"
    ,schema="public"
    , uniqueConstraints = @UniqueConstraint(columnNames="value") 
)
public class ClassEmailSentStatus  implements java.io.Serializable {


     private Long id;
     private String name;
     private String value;

    public ClassEmailSentStatus() {
    }

    public ClassEmailSentStatus(String name, String value) {
       this.name = name;
       this.value = value;
    }
   
     @SequenceGenerator(name="generator", sequenceName="class_email_sent_status_id_seq")@Id @GeneratedValue(strategy=SEQUENCE, generator="generator")

    
    @Column(name="id", unique=true, nullable=false)
    public Long getId() {
        return this.id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }

    
    @Column(name="name")
    public String getName() {
        return this.name;
    }
    
    public void setName(String name) {
        this.name = name;
    }

    
    @Column(name="value", unique=true)
    public String getValue() {
        return this.value;
    }
    
    public void setValue(String value) {
        this.value = value;
    }




}


